GNU Trove

## gnu.trove
Class TByteStack

    java.lang.Object
      gnu.trove.TByteStack

    public class TByteStack

extends java.lang.Object

A stack of byte primitives, backed by a TByteArrayList.

Version:
  $Id: PStack.template,v 1.2 2007/02/28 23:03:57 robeden Exp $
Author:
  Eric D. Friedman, Rob Eden

Field Summary
`protected TByteArrayList` `_list` the list used to hold the stack values.
`static int` `DEFAULT_CAPACITY`

Constructor Summary
`TByteStack()` Creates a new `TByteStack` instance with the default capacity.
`TByteStack(int capacity)` Creates a new `TByteStack` instance with the specified capacity.

Method Summary
`void` `clear()` Clears the stack, reseting its capacity to the default.
`byte` `peek()` Returns the value at the top of the stack.
`byte` `pop()` Removes and returns the value at the top of the stack.
`void` `push(byte val)` Pushes the value onto the top of the stack.
`void` `reset()` Clears the stack without releasing its internal capacity allocation.
`int` `size()` Returns the current depth of the stack.
`byte[]` `toNativeArray()` Copies the contents of the stack into a native array.
`void` `toNativeArray(byte[] dest)` Copies a slice of the list into a native array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _list

    protected TByteArrayList _list

  the list used to hold the stack values.

### DEFAULT_CAPACITY

    public static final int DEFAULT_CAPACITY

See Also:
  Constant Field Values

Constructor Detail

### TByteStack

    public TByteStack()

  Creates a new `TByteStack` instance with the default capacity.

### TByteStack

    public TByteStack(int capacity)

  Creates a new `TByteStack` instance with the specified capacity.

  Parameters:
    `capacity` - the initial depth of the stack

Method Detail

### push

    public void push(byte val)

  Pushes the value onto the top of the stack.

  Parameters:
    `val` - an `byte` value

### pop

    public byte pop()

  Removes and returns the value at the top of the stack.

  Returns:
    an `byte` value

### peek

    public byte peek()

  Returns the value at the top of the stack.

  Returns:
    an `byte` value

### size

    public int size()

  Returns the current depth of the stack.

### clear

    public void clear()

  Clears the stack, reseting its capacity to the default.

### reset

    public void reset()

  Clears the stack without releasing its internal capacity allocation.

### toNativeArray

    public byte[] toNativeArray()

  Copies the contents of the stack into a native array. Note that this will NOT pop them out of the stack.

  Returns:
    an `byte[]` value

### toNativeArray

    public void toNativeArray(byte[] dest)

  Copies a slice of the list into a native array. Note that this will NOT pop them out of the stack.

  Parameters:
    `dest` - the array to copy into.

GNU Trove

GNU Trove is copyright © 2001-2009 Eric D. Friedman. All Rights Reserved.